> For the complete documentation index, see [llms.txt](https://docs.atfinity.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.atfinity.io/rule-language/operators/special-operators/get-properties-from-instances.md).

# get\_properties

### Description

`get_properties_from_instances` or `get_properties` extracts the values for a specified property or field from all [instances](/guides/glossary/instance.md) of specified [ontologies](/guides/glossary/ontology.md).

The first argument is always the call of instances. The resulting values are returned as a list and can be passed to different functions, for example [`SUM`](/rule-language/operators/mathematical-operators/sum.md), [`AVG`](/rule-language/operators/mathematical-operators/avg.md), or [`COUNT`](/rule-language/operators/list-operators/count.md).<br>

### Example

```
AVG(
    get_properties(
        instances(AccountHolder), risk_level
    )
)
```

Here, the average risk level over all account holders is calculated. Replace the operator `AVG` with, for example, `MAX` if you are looking for the highest risk level for an account holder. Replace the parameter `risk_level` with `aum` if you want to know the average value of assets under management for your account holders. Don't forget the single quotation marks around the parameter.

You can also use the operator `get_properties_from_instances` in a boolean expression, if, for example, you want to trigger something when the average overall risk level raises above 3.

Simply add the comparison, e.g. `> 3` at the end:

```
AVG(
    get_properties(
        instances(AccountHolder), risk_level
    )
) > 3
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/special-operators/get-properties-from-instances.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
